# Non-RSS XML values

FeedOtter can also read additional, custom XML values in your RSS feed.  Clients have used this to supply custom images and descriptions along with the standard RSS data fields.

This can be especially useful when building data-driven emails from job boards, news sites, and eCommerce applications.

A helpful starting point is to use the token ***\[\[ post.asArray | json\_encode ]]*** in your loop. This will display the raw object that you can then use to access various elements using standard object / array notation as shown below.

### Example 1

```
<item>
<title>Beautiful Painting of saharanpur</title>
<link>
https://uat.rauantiques.com/catalog/product/view/id/102845/
</link>
...
<custom_image>
<![CDATA[
https://cdn-uat.rauantiques.com/media/catalog/product/cache/1/image/265x/9df78eab33525d08d6e5fb8d27136e95/1/_/1_30-6635_1_3.png
]]>
</custom_image>
<price cost="$179,000" age="2,000 years" condition="perfect"></price>
...
```

Here is how to access the custom\_image property in the FeedOtter post loop:

```
[% for post in feedotter.posts %] //standard post loop

//the post.asArray provides direct access to any xml fields in the <item> node of 
the RSS feed
[[post.asArray.custom_image.value]] 

[% endfor %]
```

<mark style="color:blue;">Note: replace</mark> <mark style="color:blue;"></mark>*<mark style="color:blue;">custom\_image</mark>* <mark style="color:blue;"></mark><mark style="color:blue;">with custom field name.</mark>&#x20;

You can also access attributes of custom elements such as the cos&#x74;*=”$179,000″.*  The *post.asArray.price.attr* contains all of the attributes on that node.

```
[% for post in feedotter.posts %] //standard post loop

//the post.asArray provides direct access to any xml fields in the <item> node of 
the RSS feed
[[post.asArray.price.attr.cost]]  // displays $179,000
[[post.AsArray.price.attr.age]] // 2,000 years
[[post.asArray.price.attr.condition]] // perfect


[% endfor %]
```

###

### Example 2.

Here's another feed example with slightly different xml notation.

{% code lineNumbers="true" %}

```xml
<item>
<title>Title Text</title>
<guid isPermaLink="false">https://link.com/article-link</guid>
<spadna:date>July 07, 2023</spadna:date>
<pubDate>Fri, 07 Jul 2023 07:50:31 PDT</pubDate>
<dna:title>Custom Title Text Here</dna:title>
<dna:pageNumber>196</dna:pageNumber>
<dna:textHeading>In Times of Illness, "Mental Health Issues"</dna:textHeading>
<description>... description text</description>
<dna:thought>... custom thought...</dna:thought>
</item>
```

{% endcode %}

Here the custom values are accessed slightly differently.

```
[[post.asArray.dna.textHeading]]
[[post.asArray.dna.thought]]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feedotter.com/set-up-your-own-template/advanced-template-information/non-rss-xml-values.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
